Page MenuHomePhabricator

Create EventStreams swagger spec docs endpoint
Closed, ResolvedPublic5 Estimate Story Points

Description

See:

This could be done as part of the build/deploy process with static html, or could be done using via a dyanamic route. Not sure which is better.

See also: https://github.com/OAI/OpenAPI-Specification/issues/396 for fixing 'no response' spec error

Details

Related Gerrit Patches:

Event Timeline

Ottomata created this task.Feb 14 2017, 3:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2017, 3:53 PM
Ottomata renamed this task from Render swagger spec docs as service endpoint to Create EventStreams swagger spec docs endpoint.Feb 14 2017, 3:53 PM
Ottomata updated the task description. (Show Details)
Nuria edited projects, added Analytics-Kanban; removed Analytics.Feb 16 2017, 4:58 PM

Change 338284 had a related patch set uploaded (by Ottomata):
[WIP] Serving Swagger UI spec docs at /doc

https://gerrit.wikimedia.org/r/338284

Ottomata claimed this task.Feb 21 2017, 4:01 PM
Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.
Ottomata set the point value for this task to 5.

Change 340187 had a related patch set uploaded (by Ottomata; owner: Ottomata):
Configure a /v2/schema/* endpoint that reads schemas out of local filesystem

https://gerrit.wikimedia.org/r/340187

Change 338284 merged by Ppchelko:
Serve Swagger UI spec docs at /?doc

https://gerrit.wikimedia.org/r/338284

Change 340235 had a related patch set uploaded (by Ottomata; owner: Ottomata):
Update spec.yaml.js template to match eventstreams'

https://gerrit.wikimedia.org/r/340235

Change 340235 merged by Ottomata:
Update spec.yaml.js template to match eventstreams'

https://gerrit.wikimedia.org/r/340235

Change 340246 had a related patch set uploaded (by Ottomata; owner: Ottomata):
Only pipe /v2/stream requests to EventStreams service, everything else can be cached by varnish

https://gerrit.wikimedia.org/r/340246

Woot, its working! https://stream.wikimedia.org/?doc

Wikitech docs updated here: https://wikitech.wikimedia.org/wiki/EventStreams#API

We should only pipe directly to the service for streams, everything else can be cached as usual by varnish. Patch for review here: https://gerrit.wikimedia.org/r/#/c/340246/

Change 340246 merged by Ottomata:
[operations/puppet] Only pipe /v2/stream requests to EventStreams service, everything else can be cached by varnish

https://gerrit.wikimedia.org/r/340246

Nuria closed this task as Resolved.Mar 8 2017, 8:03 PM

Change 340187 abandoned by Ottomata:
Configure a /v2/schema/* endpoint that reads schemas out of local filesystem

https://gerrit.wikimedia.org/r/340187